## org.omg.PortableInterceptor
Class ORBInitializerHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ORBInitializerHelper

public class ORBInitializerHelper
extends java.lang.Object

Helper class for : ORBInitializer

Author:
  OpenORB Compiler

Constructor Summary
`ORBInitializerHelper()`

Method Summary
`static ORBInitializer` `extract(Any a)` Extract ORBInitializer from an any
`static java.lang.String` `id()` Return the ORBInitializer IDL ID
`static void` `insert(Any a, ORBInitializer t)` Insert ORBInitializer into an any
`static ORBInitializer` `narrow(Object obj)` Narrow CORBA::Object to ORBInitializer
`static ORBInitializer` `read(InputStream istream)` Read ORBInitializer from a marshalled stream
`static TypeCode` `type()` Return the ORBInitializer TypeCode
`static ORBInitializer` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ORBInitializer
`static void` `write(OutputStream ostream, ORBInitializer value)` Write ORBInitializer into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORBInitializerHelper

    public ORBInitializerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ORBInitializer t)

  Insert ORBInitializer into an any
  Parameters:
    `a` - an any
    `t` - ORBInitializer value

### extract

    public static ORBInitializer extract(Any a)

  Extract ORBInitializer from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ORBInitializer value

### type

    public static TypeCode type()

  Return the ORBInitializer TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ORBInitializer IDL ID
  Returns:
    an ID

### read

    public static ORBInitializer read(InputStream istream)

  Read ORBInitializer from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ORBInitializer value

### write

    public static void write(OutputStream ostream,
                             ORBInitializer value)

  Write ORBInitializer into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ORBInitializer value

### narrow

    public static ORBInitializer narrow(Object obj)

  Narrow CORBA::Object to ORBInitializer
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ORBInitializer Object

### unchecked_narrow

    public static ORBInitializer unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ORBInitializer
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ORBInitializer Object